# HTML Larger Than max_file_size

Web data with max_file_size=1024: the HTML is larger, so html.source_code holds a placeholder message and html.content is null.

Source: https://docs.deepinfo.com/reference/lookup/web-data/examples/max-file-size/

Last updated: 2026-09-24

---
`GET https://api.deepinfo.com/v1/lookup/webdata?url=https%3A%2F%2Fdeveloper.mozilla.org%2Fen-US%2F&max_file_size=1024`

Web data with max_file_size=1024: the HTML is larger, so html.source_code holds a placeholder message and html.content is null.

Example 4 of 6 · [Web Data Examples](/reference/lookup/web-data/examples/) · endpoint: [Web Data](/reference/lookup/web-data/)

Tags: `param` `url` · `param` `max_file_size` · `value` `https://developer.mozilla.org/en-US/` · `value` `1024`

Asks for the web data of `https://developer.mozilla.org/en-US/` with `max_file_size=1024` (bytes).

The page's HTML (72,316 characters in the default example) is far larger than 1,024 bytes, so `html.source_code` holds the message "HTML Source Code was not parsed because it exceeded the maximum file size." and `html.content` and `html.content_keywords` are `null`. The rest is still there: the technologies, `html.meta`, the link lists, `favicon`, `robots_txt` and `http.headers`.

## Request

| Parameter | In | Value |
|---|---|---|
| `url` | query | `https://developer.mozilla.org/en-US/` |
| `max_file_size` | query | `1024` |

```bash
curl 'https://api.deepinfo.com/v1/lookup/webdata?url=https%3A%2F%2Fdeveloper.mozilla.org%2Fen-US%2F&max_file_size=1024' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

## Response

### 200 · OK

> Shortened for this page: html.meta.og: first 10 items; html.external_links: first 10 items; http.headers: first 10 items

`Content-Type: application/json; charset=utf-8` · `ratelimit-limit: 1` · `ratelimit-remaining: 0` · `ratelimit-reset: 1` · `x-ratelimit-limit-second: 1` · `x-ratelimit-remaining-second: 0` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "html": {
    "meta": {
      "name": null,
      "description": "The MDN Web Docs site provides information about Open Web technologies including HTML, CSS, and APIs for both Web sites and progressive web apps.",
      "language": "en-US",
      "language_alternatives": [],
      "keywords": [],
      "noindex_status": false,
      "encoding": "utf-8",
      "canonical_url": "https://developer.mozilla.org/en-US/",
      "title": "MDN Web Docs",
      "json_ld": [],
      "og": [
        {
          "name": "og:url",
          "value": "https://developer.mozilla.org/en-US/"
        },
        {
          "name": "og:title",
          "value": "MDN Web Docs"
        },
        {
          "name": "og:locale",
          "value": "en_US"
        },
        {
          "name": "og:description",
          "value": "The MDN Web Docs site provides information about Open Web technologies including HTML, CSS, and APIs for both Web sites and progressive web apps."
        },
        {
          "name": "og:image",
          "value": "https://developer.mozilla.org/mdn-social-image.46ac2375.png"
        },
        {
          "name": "og:image:type",
          "value": "image/png"
        },
        {
          "name": "og:image:height",
          "value": "1024"
        },
        {
          "name": "og:image:width",
          "value": "1024"
        },
        {
          "name": "og:site_name",
          "value": "MDN Web Docs"
        },
        {
          "name": "twitter:card",
          "value": "summary"
        }
      ]
    },
    "internal_links_fqdns": [
      "developer.mozilla.org",
      "www.mozilla.org",
      "support.mozilla.org",
      "hacks.mozilla.org"
    ],
    "external_links_fqdns": [
      "scrimba.com",
      "github.com",
      "bsky.app",
      "x.com",
      "mastodon.social"
    ],
    "external_links_domains": [
      "scrimba.com",
      "github.com",
      "bsky.app",
      "x.com",
      "mastodon.social"
    ],
    "external_links": [
      "https://scrimba.com/frontend-path-c0j?via=mdn-learn-navbar",
      "https://github.com/mdn",
      "https://github.com/mdn/content",
      "https://github.com/mdn/content/pull/45820",
      "https://github.com/mdn/content/pull/45806",
      "https://github.com/mdn/content/pull/45139",
      "https://github.com/mdn/content/pull/45710",
      "https://github.com/mdn/content/pull/45822",
      "https://github.com/mdn/translated-content",
      "https://github.com/mdn/translated-content/pull/38706"
    ],
    "script_links": [
      "https://developer.mozilla.org/static/client/runtime.a8ed5aecd835c274.js",
      "https://developer.mozilla.org/static/client/5909.489e266d049aa182.js",
      "https://developer.mozilla.org/static/client/4585.e30f706b333273cd.js",
      "https://developer.mozilla.org/static/client/1216.2fdb44f0bb574bc2.js",
      "https://developer.mozilla.org/static/client/index.a96be3dfd1c8f04b.js"
    ],
    "iframe_links": [],
    "trackers": [],
    "emails": [],
    "emails_internal": [],
    "favicon_links": [
      "https://developer.mozilla.org/favicon.ico",
      "https://developer.mozilla.org/favicon.svg",
      "https://developer.mozilla.org/apple-touch-icon.png"
    ],
    "inspect_disabled": false,
    "source_code": "HTML Source Code was not parsed because it exceeded the maximum file size.",
    "source_code_hash": "a5699010f60ff65db309059506f232b16b20ec2ba3347e06796fbd331bacc8f1",
    "content": null,
    "content_keywords": null,
    "content_hash": null
  },
  "http": {
    "redirection_history": [
      {
        "url": "https://developer.mozilla.org/en-us/",
        "status_code": 200
      }
    ],
    "cookies": [],
    "headers": [
      {
        "name": "accept-ranges",
        "value": "bytes"
      },
      {
        "name": "age",
        "value": "2163"
      },
      {
        "name": "cache-control",
        "value": "public, max-age=3600"
      },
      {
        "name": "content-encoding",
        "value": "br"
      },
      {
        "name": "content-length",
        "value": "14043"
      },
      {
        "name": "content-security-policy",
        "value": "default-src 'self'; script-src 'report-sample' 'self' 'wasm-unsafe-eval' assets.codepen.io production-assets.codepen.io https://js.stripe.com transcend-cdn.com 'sha256-XNBp89FG76amD8BqrJzyflxOF9PaWPqPqvJfKZPCv7M=' 'sha256-YCNoU9DNiinACbd8n6UPyB/8vj0kXvhkOni9/06SuYw=' 'sha256-PZjP7OR6mBEtnvXIZfCZ5PuOlxoDF1LDZL8aj8c42rw='; script-src-elem 'report-sample' 'self' 'wasm-unsafe-eval' assets.codepen.io production-assets.codepen.io https://js.stripe.com transcend-cdn.com 'sha256-XNBp89FG76amD8BqrJzyflxOF9PaWPqPqvJfKZPCv7M=' 'sha256-YCNoU9DNiinACbd8n6UPyB/8vj0kXvhkOni9/06SuYw=' 'sha256-PZjP7OR6mBEtnvXIZfCZ5PuOlxoDF1LDZL8aj8c42rw='; style-src 'report-sample' 'self' 'unsafe-inline' transcend-cdn.com; object-src 'none'; base-uri 'self'; connect-src 'self' developer.allizom.org bcd.developer.allizom.org bcd.developer.mozilla.org updates.developer.allizom.org updates.developer.mozilla.org https://incoming.telemetry.mozilla.org https://observatory-api.mdn.allizom.net https://observatory-api.mdn.mozilla.net telemetry.transcend.io telemetry.us.transcend.io transcend-cdn.com https://api.github.com/search/issues https://api.stripe.com; font-src 'self'; frame-src 'self' mdn.github.io *.mdnplay.dev *.mdnyalp.dev *.play.test.mdn.allizom.net https://v2.scrimba.com https://scrimba.com jsfiddle.net www.youtube-nocookie.com codepen.io survey.alchemer.com https://js.stripe.com; img-src 'self' data: *.githubusercontent.com *.gravatar.com mozillausercontent.com firefoxusercontent.com profile.stage.mozaws.net profile.accounts.firefox.com developer.mozilla.org mdn.dev wikipedia.org upload.wikimedia.org https://mdn.github.io/shared-assets/ https://mdn.dev/; manifest-src 'self'; media-src 'self' archive.org videos.cdn.mozilla.net https://mdn.github.io/shared-assets/; child-src 'self'; worker-src 'self';"
      },
      {
        "name": "content-type",
        "value": "text/html"
      },
      {
        "name": "date",
        "value": "Thu, 24 Sep 2026 08:38:34 GMT"
      },
      {
        "name": "etag",
        "value": "\"1a7a7a9427814c3b9c701a87e28ca329\""
      },
      {
        "name": "expires",
        "value": "Thu, 24 Sep 2026 03:08:09 GMT"
      }
    ]
  },
  "url": "https://developer.mozilla.org/en-US/",
  "favicon": [
    {
      "url": "https://developer.mozilla.org/favicon.ico",
      "hash": "5a777406a4082a0ae81a657e47cbea57db8d0700ef73106b43c85738b38578a6"
    },
    {
      "url": "https://developer.mozilla.org/favicon.svg",
      "hash": "77b58351b9f57ca4f663812879efb28988da716038b9cf22ad9c3af7fcdeee39"
    },
    {
      "url": "https://developer.mozilla.org/apple-touch-icon.png",
      "hash": "b9bbd8ac23a561e1f8fd67038693ac6ea6563f778ec917f0151411b5847b1f5d"
    }
  ],
  "robots_txt": {
    "content": "User-agent: *\nSitemap: https://developer.mozilla.org/sitemap.xml\n\nDisallow: /api/\nDisallow: /*/files/\nDisallow: /media\n",
    "hash": "8f2712e11105e549aa4fa1ea4de6a9fd5292ee805d773d669ca98a9e0e54273a",
    "disallowed_links": [
      "/api/",
      "/*/files/",
      "/media"
    ]
  },
  "version": 1,
  "check_date": "2026-09-24T08:38:36.404Z",
  "connection_status": "success",
  "technology": {
    "stacks": [
      {
        "slug": "varnish",
        "name": "Varnish",
        "confidence": 100,
        "icon": "Varnish.svg",
        "website": "http://www.varnish-cache.org",
        "cpe": "cpe:/a:deepvendor:varnish",
        "version": "",
        "categories": [
          "Caching"
        ],
        "description": "Varnish is a reverse caching proxy.",
        "alternative_cpe_names": [],
        "clean_version": null
      },
      {
        "slug": "requirejs",
        "name": "RequireJS",
        "confidence": 100,
        "icon": "RequireJS.png",
        "website": "http://requirejs.org",
        "cpe": "cpe:/a:deepvendor:requirejs",
        "version": "",
        "categories": [
          "JavaScript frameworks"
        ],
        "description": "RequireJS is a JavaScript library and file loader which manages the dependencies between JavaScript files and in modular programming.",
        "alternative_cpe_names": [],
        "clean_version": null
      },
      {
        "slug": "google-app-engine",
        "name": "Google App Engine",
        "confidence": 100,
        "icon": "Google App Engine.svg",
        "website": "http://code.google.com/appengine",
        "cpe": "cpe:/a:deepvendor:google_app_engine",
        "version": "",
        "categories": [
          "Web servers"
        ],
        "description": "",
        "alternative_cpe_names": [],
        "clean_version": null
      },
      {
        "slug": "google-cloud",
        "name": "Google Cloud",
        "confidence": 100,
        "icon": "google_cloud.svg",
        "website": "https://cloud.google.com",
        "cpe": "cpe:/a:google:cloud_platform",
        "version": "",
        "categories": [
          "CDN"
        ],
        "description": "Google Cloud is a suite of cloud computing services.",
        "alternative_cpe_names": [],
        "clean_version": null
      },
      {
        "slug": "choices",
        "name": "Choices",
        "confidence": 100,
        "icon": "Choices.png",
        "website": "https://joshuajohnson.co.uk/Choices/",
        "cpe": "cpe:/a:deepvendor:choices",
        "version": "",
        "categories": [
          "Miscellaneous"
        ],
        "description": "Choices.js is a lightweight, configurable select box/text input plugin.",
        "alternative_cpe_names": [],
        "clean_version": null
      },
      {
        "slug": "google-cloud-storage",
        "name": "Google Cloud Storage",
        "confidence": 100,
        "icon": "google-cloud-storage.svg",
        "website": "https://cloud.google.com/storage",
        "cpe": "cpe:/a:deepvendor:google_cloud_storage",
        "version": "",
        "categories": [
          "Miscellaneous"
        ],
        "description": "Google Cloud Storage allows world-wide storage and retrieval of any amount of data at any time.",
        "alternative_cpe_names": [],
        "clean_version": null
      }
    ]
  }
}
```

## Related Examples

- [Parse as Soon as the HTML Is Ready](/reference/lookup/web-data/examples/wait-until-domcontentloaded/)
- [With a Screenshot](/reference/lookup/web-data/examples/screenshot/)
- [Everything About a Web Page](/reference/lookup/web-data/examples/default/)
- [A Minimal Page](/reference/lookup/web-data/examples/minimal-page/)
- [Tracking IDs on a Page](/reference/lookup/web-data/examples/trackers/)
